#include <gtk/gtk.h>
#include <gdk/gdk.h>
#include <gdk/gdkx.h>
#include <gdk_imlib.h>
#include <gnome.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <applet-widget.h>
#include <dirent.h>
#include <X11/Xatom.h>
#include <math.h>

struct entry {
  gchar* path;
  GdkImlibImage* thumb; 
};

void init(void);
GList *makedlist(GList *root, gchar **names, gint num);
GList *makeflist(GList *root, gchar **names, gint num);
void button1_callback(GtkWidget *widget, gpointer data);
void button2_callback(GtkWidget *widget, gpointer data);
void dialog_ok(GtkWidget *widget, gpointer data);
void dialog_cancel(GtkWidget *widget, gpointer data);
gint changebglinear(gpointer data);
gint changebgrandom(gpointer data);
void displayfiles(gchar *nameofentry);
void choosebg(GtkWidget *widget, gpointer data);
void combo_callback(GtkWidget *widget, gpointer data);
gint draw_background(gchar *);
void properties_callback(AppletWidget *widget, gpointer data);
void about_callback(AppletWidget *widget, gpointer data);
void menu_item_callback(AppletWidget *widget, gpointer data);
void add_items(GtkWidget *widget, gpointer data);
void save_config(void);
gint  save_myself(GnomeClient *c, gint p, GnomeSaveStyle ss, int s,
                 GnomeInteractStyle is, gint f, gpointer d);
void die(GtkWidget *w, gpointer d);
void kill_sel(GtkWidget *widget, gpointer data);
void get_dir_info(gchar *dirname);
void change_orient(GtkWidget *widget, PanelOrientType o, gpointer data);
void show_preview(GtkWidget *widget, gpointer data);
void update(GtkWidget *widget, gpointer data);
gint movebg(gpointer data);
void save_callback(gpointer data);

#define PACKAGE "gBackGround_applet"
#define VERSION "1.0.0"
#define GBACKGROUND_H 1

extern GList *filelist;
extern GList *indfiles;
extern GList *dirnames;
extern GList *dirlist;
extern GtkWidget *window, *scrollwindow, *filesel, *preview, *applet;
extern GtkWidget *combo, *pbar, *frame, *mainbox, *hbox, *vbox;
extern gchar *lastfile, *curfile;
extern gint dirnum, filesnum, startmode, interval, changemode;
extern gint tile, center, scaleit, userealmime, movemode, storethumbs;
extern gfloat speed, radius;
extern guint timeout, timeout2;
